aboutsummaryrefslogtreecommitdiff
path: root/test/check-trailing-newlines.sh
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2022-04-16 15:13:08 -0500
committerGitHub <noreply@github.com>2022-04-16 15:13:08 -0500
commitfdfa6dbb0e69742029d53f0e163b8e7e7e6860f5 (patch)
tree6a300ef3e1b25e22224b042cc8a8c07b43709950 /test/check-trailing-newlines.sh
parent0b3f8750e7d307987eef9e63e327488a81c29a71 (diff)
rewrite tests (#515)
* rewrite tests to work with meson This ports our tests to meson and makes them able to be run in parallel. * add tests to ci * rewrite test/check-trailing-newlines in bash This test was using a GNU sed command which does not work on Alpine Linux.
Diffstat (limited to 'test/check-trailing-newlines.sh')
-rwxr-xr-xtest/check-trailing-newlines.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/check-trailing-newlines.sh b/test/check-trailing-newlines.sh
new file mode 100755
index 00000000..4c99e761
--- /dev/null
+++ b/test/check-trailing-newlines.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+top_srcdir=${SOURCE_ROOT:-..}
+. ${top_srcdir}/test/setup_env.sh
+
+ebegin "Checking trailing newlines in code"
+out=$(cd ${top_srcdir};
+ for f in $(find */ -name '*.[ch]') ; do
+ while read -r line; do
+ if [ -n "${line}" ]; then
+ blankline=
+ else
+ blankline=1
+ fi
+ done < "${f}"
+ [ -n "${blankline}" ] && printf "%s\n" "${f}"
+ done)
+[ -z "${out}" ]
+eend $? "Trailing newlines need to be deleted:"$'\n'"${out}"